

import WidthEllipsis from "@/components/widthEllipsis"
import React from "react"

function columnsPos() {

    let newArr: any = [
        {
            title: '游戏',
            dataIndex: 'gameName',
            key: 'gameName',
            align: 'center',
            width: 90,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '区服名称',
            dataIndex: 'serverName',
            key: 'serverName',
            align: 'center',
            width: 90,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '区服ID',
            dataIndex: 'serverId',
            key: 'serverId',
            align: 'center',
            width: 90,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '角色名称',
            dataIndex: 'roleName',
            key: 'roleName',
            align: 'center',
            width: 100,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '角色ID',
            dataIndex: 'roleId',
            key: 'roleId',
            align: 'center',
            width: 90,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '公会名称',
            dataIndex: 'guildName',
            key: 'guildName',
            align: 'center',
            width: 100,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '聊天时间',
            dataIndex: 'chatTime',
            key: 'chatTime',
            align: 'center',
            width: 135,
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '聊天内容',
            dataIndex: 'content',
            key: 'content',
            width: 450,
            render: (a: string) => (<WidthEllipsis value={a} />)
        }
    ]
    return newArr
}


export default columnsPos