

import WidthEllipsis from "@/components/widthEllipsis"
import React from "react"

function columnsPosLog() {

    let newArr: any = [
        {
            title: '企业ID',
            dataIndex: 'corpId',
            key: 'corpId',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a}/>)
        },
        {
            title: '客服号ID',
            dataIndex: 'corpUserId',
            key: 'corpUserId',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a}/>)
        },
        {
            title: '企微用户ID',
            dataIndex: 'externalUserId',
            key: 'externalUserId',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a}/>)
        },
        {
            title: '角色名称',
            dataIndex: 'roleName',
            key: 'roleName',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a}/>)
        },
        {
            title: '角色ID',
            dataIndex: 'roleId',
            key: 'roleId',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a}/>)
        },
        {
            title: '区服名称',
            dataIndex: 'serverName',
            key: 'serverName',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '区服ID',
            dataIndex: 'serverId',
            key: 'serverId',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '玩家ID',
            dataIndex: 'userId',
            key: 'userId',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '礼包领取记录ID',
            dataIndex: 'codeLogId',
            key: 'codeLogId',
            width: 90,
            align: 'center',
            render: (a: string) => (<WidthEllipsis value={a} />)
        },
        {
            title: '创建时间',
            dataIndex: 'createTime',
            key: 'createTime',
            width: 140,
            render: (a: string) => (<WidthEllipsis value={a} />)
        }
    ]
    return newArr
}


export default columnsPosLog