import WidthEllipsis from "@/components/widthEllipsis"
import React from "react"

function columns13(): { label: string, fieldSHow?: { label: string, saveField: string, defaultValue: any[], data: any[] }, data: any[] }[] {

    return [
        {
            label: '基本信息',
            data: [
                {
                    title: '角色名称', dataIndex: 'roleName', label: '基本信息', align: 'center', width: 85, default: 1,
                    render: (a: string) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '角色ID', dataIndex: 'roleId', label: '基本信息', align: 'center', width: 85, default: 2,
                    render: (a: string) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '游戏名称', dataIndex: 'superGameName', label: '基本信息', align: 'center', width: 85, default: 3,
                    render: (a: string) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '游戏ID', dataIndex: 'superGameId', label: '基本信息', align: 'center', width: 85, default: 4,
                    render: (a: string) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '区服名称', dataIndex: 'serverName', label: '基本信息', align: 'center', width: 80, default: 5,
                    render: (a: string) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '区服ID', dataIndex: 'serverId', label: '基本信息', align: 'center', width: 80, default: 6,
                    render: (a: string) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '公会名称', dataIndex: 'country', label: '基本信息', align: 'center', width: 90, default: 7,
                    render: (a: string) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '聊天日期', dataIndex: 'chatTime', label: '基本信息', align: 'center', width: 125, default: 8,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '聊天内容', dataIndex: 'content', label: '基本信息', width: 300, default: 9,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                }
            ]
        }
    ]
}

export default columns13